# authentic2 - versatile identity manager
# Copyright (C) 2010-2019 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import django

if django.VERSION < (2,):
    from django.forms import fields

    from . import validators

    # query-string and form parameters used to query database charfield must be checked for NULL characters
    # https://code.djangoproject.com/ticket/30064
    if not getattr(fields.CharField, 'a2_workaround', False):
        CharField_old__init__ = fields.CharField.__init__

        def CharField_new_init__(self, *args, **kwargs):
            CharField_old__init__(self, *args, **kwargs)
            self.validators.append(validators.ProhibitNullCharactersValidator())

        fields.CharField.__init__ = CharField_new_init__
        fields.CharField.a2_workaround = True
